using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace Project
{

	public enum ePXLoc : byte
	{
        [Description("Reel Waiting(Left) Position")]
        READYL = 0,
        [Description("Reel Waiting(Right) Position")]
        READYR,
        [Description("Reel PickOn Position")]
        PICKON,
        [Description("Reel PickOff(Left) Position")]
        PICKOFFL,
        [Description("Reel PickOff(Right) Position")]
        PICKOFFR,
	}

	public enum ePZLoc : byte
	{
        [Description("Ready Position")]
		READY = 0,
        [Description("Reel PickOn Position")]
        PICKON,
        [Description("Reel PickOff(Left) Position")]
        PICKOFFL,
        [Description("Reel PickOff(Right) Position")]
        PICKOFFR,
	}

	public enum ePTLoc : byte
	{
        [Description("Ready Position")]
        READY = 0,
	}

	public enum eLMLoc : byte
	{
        [Description("Ready Position")]
        READY = 0,
        [Description("7\" High Attach Position")]
        PRINTH07,
        [Description("7\" Low Attach Position")]
        PRINTL07,
        [Description("7\" Middle Attach Position")]
        PRINTM07,
        [Description("13\" High Attach Position")]
        PRINTH13,
        [Description("13\" Low Attach Position")]
        PRINTL13,
        [Description("13\" Middle Attach Position")]
        PRINTM13,
	}
	public enum eLZLoc : byte
	{
        [Description("Ready Position")]
        READY = 0,
        [Description("Reel PickOn Position")]
        PICKON,
        [Description("Reel PickOff Position")]
        PICKOFF,
	}
	public enum eRMLoc : byte
	{
        [Description("Ready Position")]
        READY = 0,
        [Description("7\" High Attach Position")]
        PRINTH07,
        [Description("7\" Low Attach Position")]
        PRINTL07,
        [Description("7\" Middle Attach Position")]
        PRINTM07,
        [Description("13\" High Attach Position")]
        PRINTH13,
        [Description("13\" Low Attach Position")]
        PRINTL13,
        [Description("13\" Middle Attach Position")]
        PRINTM13,
    }
	public enum eRZLoc : byte
	{
        [Description("Ready Position")]
        READY = 0,
        [Description("Reel PickOn Position")]
        PICKON,
        [Description("Reel PickOff Position")]
        PICKOFF,
	}
}
